diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 90d30e1..0e8ab0a 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -6141,7 +6141,7 @@ ChineseRemainderToolsForIntegralBases(K,R,UP): Exports == Implementation where
       m := nrows mat; n := ncols mat
       ans : Matrix R := new(m,n,0)
       for i in 1..m repeat for j in 1..n repeat
-        qsetelt_!(ans,i,j,map(#1 ** q,qelt(mat,i,j)))
+        qsetelt_!(ans,i,j,map((k1:K):K +-> k1 ** q,qelt(mat,i,j)))
       ans
 
     listConjugateBases(bas,q,n) ==
@@ -6150,7 +6150,7 @@ ChineseRemainderToolsForIntegralBases(K,R,UP): Exports == Implementation where
       for i in 1..(n-1) repeat
         b := applyFrobToMatrix(b,q)
         bInv := applyFrobToMatrix(bInv,q)
-        bDen := map(#1 ** q,bDen)
+        bDen := map((k1:K):K +-> k1 ** q,bDen)
         newBasis : Result := [b,bDen,bInv]
         outList := concat(newBasis,outList)
       reverse_! outList
@@ -6187,20 +6187,21 @@ ChineseRemainderToolsForIntegralBases(K,R,UP): Exports == Implementation where
       -- coef1 * f + coef2 * g = 1 (mod p^n)
       sae := SAE(K,R,p)
       fSUP : SUP R := makeSUP f; gSUP : SUP R := makeSUP g
-      fBar : SUP sae := map(convert(#1)@sae,fSUP)$SUP2(R,sae)
-      gBar : SUP sae := map(convert(#1)@sae,gSUP)$SUP2(R,sae)
+      fBar : SUP sae := map((r1:R):sae +-> convert(r1)@sae,fSUP)$SUP2(R,sae)
+      gBar : SUP sae := map((r1:R):sae +-> convert(r1)@sae,gSUP)$SUP2(R,sae)
       ee := extendedEuclidean(fBar,gBar)
 --      not one?(ee.generator) =>
       not (ee.generator = 1) =>
         error "polynomials aren't relatively prime"
       ss1 := ee.coef1; tt1 := ee.coef2
-      s1 : SUP R := map(convert(#1)@R,ss1)$SUP2(sae,R); s := s1
-      t1 : SUP R := map(convert(#1)@R,tt1)$SUP2(sae,R); t := t1
+      s1 : SUP R := map((z1:sae):R +-> convert(z1)@R,ss1)$SUP2(sae,R); s := s1
+      t1 : SUP R := map((z1:sae):R +-> convert(z1)@R,tt1)$SUP2(sae,R); t := t1
       pPower := p
       for i in 2..n repeat
         num := 1 - s * fSUP - t * gSUP
         rhs := (num exquo pPower) :: SUP R
-        sigma := map(#1 rem p,s1 * rhs); tau := map(#1 rem p,t1 * rhs)
+        sigma := map((r1:R):R +-> r1 rem p,s1*rhs); 
+        tau   := map((r1:R):R +-> r1 rem p,t1*rhs)
         s := s + pPower * sigma; t := t + pPower * tau
         quorem := monicDivide(s,gSUP)
         pPower := pPower * p
diff --git a/changelog b/changelog
index 1206c1f..869ef8d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.11.tpd.patch
+20090511 tpd books/bookvol10.4 IBACHIN +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.10.tpd.patch
 20090511 tpd books/bookvol10.3 FPARFRAC +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.09.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f906e47..3f2cea5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1234,5 +1234,7 @@ bookvol10.3 FRIDEAL +-> conversion<br/>
 bookvol10.2 FRAMALG +-> conversion<br/>
 <a href="patches/20090511.10.tpd.patch">20090511.10.tpd.patch</a>
 bookvol10.3 FPARFRAC +-> conversion<br/>
+<a href="patches/20090511.11.tpd.patch">20090511.11.tpd.patch</a>
+bookvol10.4 IBACHIN +-> conversion<br/>
  </body>
 </html>
